Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBaseInfo.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBaseInfo.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBaseInfo.cs	(revision 51)
@@ -510,66 +515,67 @@
             try
             {
                 // データ取得
-                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.CONSTRUCTION_CODE].ToString());
-                wrk.TyingFlg = int.Parse(objwrk[(int)TableColumn.TYINGFLG].ToString());
-                wrk.ConstructionYear = int.Parse(objwrk[(int)TableColumn.CONSTRUCTION_YEAR].ToString());
-                wrk.ConstructionPeriod = int.Parse(objwrk[(int)TableColumn.CONSTRUCTION_PERIOD].ToString());
+                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.ConstructionCode].ToString());
+                wrk.TyingFlg = int.Parse(objwrk[(int)TableColumn.TyingFlg].ToString());
+                wrk.JoinFlg = int.Parse(objwrk[(int)TableColumn.JoinFlg].ToString());
+                wrk.ConstructionYear = int.Parse(objwrk[(int)TableColumn.ConstructionYear].ToString());
+                wrk.ConstructionPeriod = int.Parse(objwrk[(int)TableColumn.ConstructionPeriod].ToString());
 
-                wrk.RequestedDate = DateTime.Parse(objwrk[(int)TableColumn.REQUESTED_DATE].ToString());
-                wrk.EstimatesSubmitDeadline = DateTime.Parse(objwrk[(int)TableColumn.ESTIMATESSUBMITDEADLINE].ToString());
-                wrk.EstimatesSubmittedDate = DateTime.Parse(objwrk[(int)TableColumn.ESTIMATESSUBMITTED_DATE].ToString());
-                wrk.ProvisionalOrderDate = DateTime.Parse(objwrk[(int)TableColumn.PROVISIONALORDERDATE].ToString());
-                wrk.OrderDate = DateTime.Parse(objwrk[(int)TableColumn.ORDER_DATE].ToString());
-                wrk.OrderStartingDate = DateTime.Parse(objwrk[(int)TableColumn.ORDERSTARTINGDATE].ToString());
-                wrk.OrderCompletionDate = DateTime.Parse(objwrk[(int)TableColumn.ORDERCOMPLETIONDATE].ToString());
-                wrk.PreparationStartDate = DateTime.Parse(objwrk[(int)TableColumn.PREPARATIONSTARTDATE].ToString());
-                wrk.ConstructionStartingDate = DateTime.Parse(objwrk[(int)TableColumn.CONSTRUCTIONSTARTINGDATE].ToString());
-                wrk.ConstructionCompletionDate = DateTime.Parse(objwrk[(int)TableColumn.CONSTRUCTIONCOMPLETION_DATE].ToString());
-                wrk.NonOrderDate = DateTime.Parse(objwrk[(int)TableColumn.NONORDERDATE].ToString());
+                wrk.RequestedDate = DateTime.Parse(objwrk[(int)TableColumn.RequestedDate].ToString());
+                wrk.EstimatesSubmitDeadline = DateTime.Parse(objwrk[(int)TableColumn.EstimatessubmitDeadLine].ToString());
+                wrk.EstimatesSubmittedDate = DateTime.Parse(objwrk[(int)TableColumn.EstimatessubmittedDate].ToString());
+                wrk.ProvisionalOrderDate = DateTime.Parse(objwrk[(int)TableColumn.ProvisionAlorderDate].ToString());
+                wrk.OrderDate = DateTime.Parse(objwrk[(int)TableColumn.OrderDate].ToString());
+                wrk.OrderStartingDate = DateTime.Parse(objwrk[(int)TableColumn.OrderStartingDate].ToString());
+                wrk.OrderCompletionDate = DateTime.Parse(objwrk[(int)TableColumn.OrderCompletionDate].ToString());
+                wrk.PreparationStartDate = DateTime.Parse(objwrk[(int)TableColumn.PreparationStartDate].ToString());
+                wrk.ConstructionStartingDate = DateTime.Parse(objwrk[(int)TableColumn.ConstructionStartingDate].ToString());
+                wrk.ConstructionCompletionDate = DateTime.Parse(objwrk[(int)TableColumn.ConstructionCompletionDate].ToString());
+                wrk.NonOrderDate = DateTime.Parse(objwrk[(int)TableColumn.NonOrderDate].ToString());
 
-                wrk.OrdersDecisionPrice = double.Parse(objwrk[(int)TableColumn.ORDERS_DECISION_PRICE].ToString());
-                wrk.OrdersDecisionPriceInTax = double.Parse(objwrk[(int)TableColumn.ORDERS_DECISION_PRICE_IN_TAX].ToString());
+                wrk.OrdersDecisionPrice = double.Parse(objwrk[(int)TableColumn.OrdersDecisionPrice].ToString());
+                wrk.OrdersDecisionPriceInTax = double.Parse(objwrk[(int)TableColumn.OrdersDecisionPriceInTax].ToString());
 
-                wrk.SalesPersonCode = int.Parse(objwrk[(int)TableColumn.SALES_PERSON_CODE].ToString());
-                wrk.ConstructionPersonCode = int.Parse(objwrk[(int)TableColumn.CONSTRPERSONCODE].ToString());
-                wrk.ConstrSubPersonCode = int.Parse(objwrk[(int)TableColumn.CONSTRSUBPERSONCODE].ToString());
-                wrk.ConstructionInstructor = int.Parse(objwrk[(int)TableColumn.CONSTRUCTIONINSTRUCTOR].ToString());
+                wrk.SalesPersonCode = int.Parse(objwrk[(int)TableColumn.SalesPersonCode].ToString());
+                wrk.ConstructionPersonCode = int.Parse(objwrk[(int)TableColumn.ConstrPersonCode].ToString());
+                wrk.ConstrSubPersonCode = int.Parse(objwrk[(int)TableColumn.ConstrSubPersonCode].ToString());
+                wrk.ConstructionInstructor = int.Parse(objwrk[(int)TableColumn.ConstructionInstructor].ToString());
 
-                wrk.TransferConstruction = int.Parse(objwrk[(int)TableColumn.TRANSFERCONSTRUCTION].ToString());
-                wrk.TransferConstructionDate = DateTime.Parse(objwrk[(int)TableColumn.TRANSFERCONSTRUCTIONDATE].ToString());
+                wrk.TransferConstruction = int.Parse(objwrk[(int)TableColumn.TransferConstruction].ToString());
+                wrk.TransferConstructionDate = DateTime.Parse(objwrk[(int)TableColumn.TransferConstructionDate].ToString());
 
-                wrk.OrderersDivision = int.Parse(objwrk[(int)TableColumn.ORDERERS_DIVISION].ToString());
-                wrk.OrderersCode = int.Parse(objwrk[(int)TableColumn.ORDERERS_CODE].ToString());
+                wrk.OrderersDivision = int.Parse(objwrk[(int)TableColumn.OrderersDivision].ToString());
+                wrk.OrderersCode = int.Parse(objwrk[(int)TableColumn.OrderersCode].ToString());
 
-                wrk.EstimatesExpirationDate = DateTime.Parse(objwrk[(int)TableColumn.ESTIMATESEXPIRATIONDATE].ToString());
-                wrk.ConstructionPeriodStart = DateTime.Parse(objwrk[(int)TableColumn.CONSTRUCTIONPERIODSTART].ToString());
-                wrk.ConstructionPeriodEnd = DateTime.Parse(objwrk[(int)TableColumn.CONSTRUCTIONPERIODEND].ToString());
-                wrk.ConstructionPeriodStart2 = DateTime.Parse(objwrk[(int)TableColumn.CONSTRUCTIONPERIODSTART2].ToString());
-                wrk.ConstructionPeriodEnd2 = DateTime.Parse(objwrk[(int)TableColumn.CONSTRUCTIONPERIODEND2].ToString());
+                wrk.EstimatesExpirationDate = DateTime.Parse(objwrk[(int)TableColumn.EstimatesExpirationDate].ToString());
+                wrk.ConstructionPeriodStart = DateTime.Parse(objwrk[(int)TableColumn.ConstructionPeriodStart].ToString());
+                wrk.ConstructionPeriodEnd = DateTime.Parse(objwrk[(int)TableColumn.ConstructionPeriodEnd].ToString());
+                wrk.ConstructionPeriodStart2 = DateTime.Parse(objwrk[(int)TableColumn.ConstructionPeriodStart2].ToString());
+                wrk.ConstructionPeriodEnd2 = DateTime.Parse(objwrk[(int)TableColumn.ConstructionPeriodEnd2].ToString());
 
-                wrk.StartDate = DateTime.Parse(objwrk[(int)TableColumn.START_DATE].ToString());
-                wrk.EndDate = DateTime.Parse(objwrk[(int)TableColumn.END_DATE].ToString());
+                wrk.StartDate = DateTime.Parse(objwrk[(int)TableColumn.StartDate].ToString());
+                wrk.EndDate = DateTime.Parse(objwrk[(int)TableColumn.EndDate].ToString());
 
-                wrk.PurchaseOrderMailingDate = DateTime.Parse(objwrk[(int)TableColumn.PURCHASEORDERMAILINGDATE].ToString());
-                wrk.PurchaseOrderReturnDate = DateTime.Parse(objwrk[(int)TableColumn.PURCHASEORDERRETURNDATE].ToString());
-                wrk.PurchaseOrderReturnCheckDate = DateTime.Parse(objwrk[(int)TableColumn.PURCHASEORDERRETURNCHECKDATE].ToString());
+                wrk.PurchaseOrderMailingDate = DateTime.Parse(objwrk[(int)TableColumn.PurchaseOrderMailingDate].ToString());
+                wrk.PurchaseOrderReturnDate = DateTime.Parse(objwrk[(int)TableColumn.PurchaseOrderReturnDate].ToString());
+                wrk.PurchaseOrderReturnCheckDate = DateTime.Parse(objwrk[(int)TableColumn.PurchaseOrderReturnCheckDate].ToString());
 
-                wrk.ConsumptionTaxFlg = int.Parse(objwrk[(int)TableColumn.CONSUMPTIONTAX_FLG].ToString());
-                wrk.PrimeContractorFlg = int.Parse(objwrk[(int)TableColumn.PRIMECONTRACTOR_FLG].ToString());
-                wrk.SalesCostFlg = int.Parse(objwrk[(int)TableColumn.SALESCOST_FLG].ToString());
-                wrk.ConstructionStatusFlg = int.Parse(objwrk[(int)TableColumn.CONSTRUCTIONSTATUS_FLG].ToString());
+                wrk.ConsumptionTaxFlg = int.Parse(objwrk[(int)TableColumn.ConsumptionTaxFlg].ToString());
+                wrk.PrimeContractorFlg = int.Parse(objwrk[(int)TableColumn.PrimecontractorFlg].ToString());
+                wrk.SalesCostFlg = int.Parse(objwrk[(int)TableColumn.SalesCostFlg].ToString());
+                wrk.ConstructionStatusFlg = int.Parse(objwrk[(int)TableColumn.ConstructionStatusFlg].ToString());
 
-                wrk.ConstructionType = int.Parse(objwrk[(int)TableColumn.CONSTRUCTIONTYPE].ToString());
-                wrk.EstimateType = int.Parse(objwrk[(int)TableColumn.ESTIMATETYPE].ToString());
+                wrk.ConstructionType = int.Parse(objwrk[(int)TableColumn.ConstructionType].ToString());
+                wrk.EstimateType = int.Parse(objwrk[(int)TableColumn.EstimateType].ToString());
 
-                wrk.BillingStartDate = DateTime.Parse(objwrk[(int)TableColumn.BILLINGSTARTDATE].ToString());
-                wrk.BillingDate = DateTime.Parse(objwrk[(int)TableColumn.BILLINGDATE].ToString());
-                wrk.BillingSplitFlg = int.Parse(objwrk[(int)TableColumn.BILLINGSPLITFLG].ToString());
-                wrk.BillingSendDate = DateTime.Parse(objwrk[(int)TableColumn.BILLINGSENDDATE].ToString());
-                wrk.LedgerComplateDate = DateTime.Parse(objwrk[(int)TableColumn.LEDGERCOMPLATEDATE].ToString());
+                wrk.BillingStartDate = DateTime.Parse(objwrk[(int)TableColumn.BillingStartDate].ToString());
+                wrk.BillingDate = DateTime.Parse(objwrk[(int)TableColumn.BillingDate].ToString());
+                wrk.BillingSplitFlg = int.Parse(objwrk[(int)TableColumn.BillingSplitFlg].ToString());
+                wrk.BillingSendDate = DateTime.Parse(objwrk[(int)TableColumn.BillingSendDate].ToString());
+                wrk.LedgerComplateDate = DateTime.Parse(objwrk[(int)TableColumn.LedgerComplateDate].ToString());
 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.ENTRY_DATE].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UPDATE_DATE].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UpdateDate].ToString());
             }
             catch (MySqlException myex)
             {
@@ -603,147 +609,150 @@
                 strcmd += " SET";
                 switch (FeildNo)
                 {
-                    case (int)TableColumn.CONSTRUCTION_CODE:
+                    case (int)TableColumn.ConstructionCode:
                         strcmd += string.Format(" ConstructionCode = {0}", ((int)value).ToString());
                         break;
-                    case (int)TableColumn.TYINGFLG:
+                    case (int)TableColumn.TyingFlg:
                         strcmd += string.Format(" TyingFlg = {0}", ((int)value).ToString());
                         break;
-                    case (int)TableColumn.CONSTRUCTION_YEAR:
+                    case (int)TableColumn.JoinFlg:
+                        strcmd += string.Format(" JoinFlg = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.ConstructionYear:
                         strcmd += string.Format(" ConstructionYear = {0}", ((int)value).ToString());
                         break;
-                    case (int)TableColumn.CONSTRUCTION_PERIOD:
+                    case (int)TableColumn.ConstructionPeriod:
                         strcmd += string.Format(" ConstructionPeriod = {0}", ((int)value).ToString());
                         break;
-                    case (int)TableColumn.REQUESTED_DATE:
-                        strcmd += string.Format(" RequestedDate = DATE_FORMAT('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                    case (int)TableColumn.RequestedDate:
+                        strcmd += string.Format(" RequestedDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)TableColumn.ESTIMATESSUBMITDEADLINE:
-                        strcmd += string.Format(" EstimatesSubmitDeadline = DATE_FORMAT('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                    case (int)TableColumn.EstimatessubmitDeadLine:
+                        strcmd += string.Format(" EstimatesSubmitDeadline = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)TableColumn.ESTIMATESSUBMITTED_DATE:
-                        strcmd += string.Format(" EstimatesSubmittedDate = DATE_FORMAT('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                    case (int)TableColumn.EstimatessubmittedDate:
+                        strcmd += string.Format(" EstimatesSubmittedDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)TableColumn.PROVISIONALORDERDATE:
-                        strcmd += string.Format(" ProvisionalOrderDate = DATE_FORMAT('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                    case (int)TableColumn.ProvisionAlorderDate:
+                        strcmd += string.Format(" ProvisionalOrderDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)TableColumn.ORDER_DATE:
-                        strcmd += string.Format(" OrderDate = DATE_FORMAT('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                    case (int)TableColumn.OrderDate:
+                        strcmd += string.Format(" OrderDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)TableColumn.ORDERSTARTINGDATE:
-                        strcmd += string.Format(" OrderStartingDate = DATE_FORMAT('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                    case (int)TableColumn.OrderStartingDate:
+                        strcmd += string.Format(" OrderStartingDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)TableColumn.ORDERCOMPLETIONDATE:
-                        strcmd += string.Format(" OrderCompletionDate = DATE_FORMAT('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                    case (int)TableColumn.OrderCompletionDate:
+                        strcmd += string.Format(" OrderCompletionDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)TableColumn.PREPARATIONSTARTDATE:
-                        strcmd += string.Format(" PreparationStartDate = DATE_FORMAT('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                    case (int)TableColumn.PreparationStartDate:
+                        strcmd += string.Format(" PreparationStartDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)TableColumn.CONSTRUCTIONSTARTINGDATE:
-                        strcmd += string.Format(" ConstructionStartingDate = DATE_FORMAT('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                    case (int)TableColumn.ConstructionStartingDate:
+                        strcmd += string.Format(" ConstructionStartingDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)TableColumn.CONSTRUCTIONCOMPLETION_DATE:
-                        strcmd += string.Format(" ConstructionCompletionDate = DATE_FORMAT('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                    case (int)TableColumn.ConstructionCompletionDate:
+                        strcmd += string.Format(" ConstructionCompletionDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)TableColumn.NONORDERDATE:
-                        strcmd += string.Format(" NonOrderDate = DATE_FORMAT('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                    case (int)TableColumn.NonOrderDate:
+                        strcmd += string.Format(" NonOrderDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)TableColumn.ORDERS_DECISION_PRICE:
+                    case (int)TableColumn.OrdersDecisionPrice:
                         strcmd += string.Format(" OrdersDecisionPrice = {0}", ((int)value).ToString());
                         break;
-                    case (int)TableColumn.ORDERS_DECISION_PRICE_IN_TAX:
+                    case (int)TableColumn.OrdersDecisionPriceInTax:
                         strcmd += string.Format(" OrdersDecisionPriceInTax = {0}", ((int)value).ToString());
                         break;
-                    case (int)TableColumn.SALES_PERSON_CODE:
+                    case (int)TableColumn.SalesPersonCode:
                         strcmd += string.Format(" SalesPersonCode = {0}", ((int)value).ToString());
                         break;
-                    case (int)TableColumn.CONSTRPERSONCODE:
+                    case (int)TableColumn.ConstrPersonCode:
                         strcmd += string.Format(" ConstructionPersonCode = {0}", ((int)value).ToString());
                         break;
-                    case (int)TableColumn.CONSTRSUBPERSONCODE:
+                    case (int)TableColumn.ConstrSubPersonCode:
                         strcmd += string.Format(" ConstrSubPersonCode = {0}", ((int)value).ToString());
                         break;
-                    case (int)TableColumn.CONSTRUCTIONINSTRUCTOR:
+                    case (int)TableColumn.ConstructionInstructor:
                         strcmd += string.Format(" ConstructionInstructor = {0}", ((int)value).ToString());
                         break;
-                    case (int)TableColumn.TRANSFERCONSTRUCTION:
+                    case (int)TableColumn.TransferConstruction:
                         strcmd += string.Format(" TransferConstruction = {0}", ((int)value).ToString());
                         break;
-                    case (int)TableColumn.TRANSFERCONSTRUCTIONDATE:
-                        strcmd += string.Format(" TransferConstructionDate = DATE_FORMAT('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                    case (int)TableColumn.TransferConstructionDate:
+                        strcmd += string.Format(" TransferConstructionDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)TableColumn.ORDERERS_DIVISION:
+                    case (int)TableColumn.OrderersDivision:
                         strcmd += string.Format(" OrderersDivision = {0}", ((int)value).ToString());
                         break;
-                    case (int)TableColumn.ORDERERS_CODE:
+                    case (int)TableColumn.OrderersCode:
                         strcmd += string.Format(" OrderersCode = {0}", ((int)value).ToString());
                         break;
-                    case (int)TableColumn.ESTIMATESEXPIRATIONDATE:
-                        strcmd += string.Format(" EstimatesExpirationDate = DATE_FORMAT('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                    case (int)TableColumn.EstimatesExpirationDate:
+                        strcmd += string.Format(" EstimatesExpirationDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)TableColumn.CONSTRUCTIONPERIODSTART:
-                        strcmd += string.Format(" ConstructionPeriodStart = DATE_FORMAT('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                    case (int)TableColumn.ConstructionPeriodStart:
+                        strcmd += string.Format(" ConstructionPeriodStart = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)TableColumn.CONSTRUCTIONPERIODEND:
-                        strcmd += string.Format(" ConstructionPeriodEnd = DATE_FORMAT('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                    case (int)TableColumn.ConstructionPeriodEnd:
+                        strcmd += string.Format(" ConstructionPeriodEnd = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)TableColumn.CONSTRUCTIONPERIODSTART2:
-                        strcmd += string.Format(" ConstructionPeriodStart2 = DATE_FORMAT('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                    case (int)TableColumn.ConstructionPeriodStart2:
+                        strcmd += string.Format(" ConstructionPeriodStart2 = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)TableColumn.CONSTRUCTIONPERIODEND2:
-                        strcmd += string.Format(" ConstructionPeriodEnd2 = DATE_FORMAT('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                    case (int)TableColumn.ConstructionPeriodEnd2:
+                        strcmd += string.Format(" ConstructionPeriodEnd2 = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)TableColumn.START_DATE:
-                        strcmd += string.Format(" StartDate = DATE_FORMAT('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                    case (int)TableColumn.StartDate:
+                        strcmd += string.Format(" StartDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)TableColumn.END_DATE:
-                        strcmd += string.Format(" EndDate = DATE_FORMAT('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                    case (int)TableColumn.EndDate:
+                        strcmd += string.Format(" EndDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)TableColumn.PURCHASEORDERMAILINGDATE:
-                        strcmd += string.Format(" PurchaseOrderMailingDate = DATE_FORMAT('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                    case (int)TableColumn.PurchaseOrderMailingDate:
+                        strcmd += string.Format(" PurchaseOrderMailingDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)TableColumn.PURCHASEORDERRETURNDATE:
-                        strcmd += string.Format(" PurchaseOrderReturnDate = DATE_FORMAT('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                    case (int)TableColumn.PurchaseOrderReturnDate:
+                        strcmd += string.Format(" PurchaseOrderReturnDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)TableColumn.PURCHASEORDERRETURNCHECKDATE:
-                        strcmd += string.Format(" PurchaseOrderReturnCheckDate = DATE_FORMAT('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                    case (int)TableColumn.PurchaseOrderReturnCheckDate:
+                        strcmd += string.Format(" PurchaseOrderReturnCheckDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)TableColumn.CONSUMPTIONTAX_FLG:
+                    case (int)TableColumn.ConsumptionTaxFlg:
                         strcmd += string.Format(" ConsumptionTaxFlg = {0}", ((int)value).ToString());
                         break;
-                    case (int)TableColumn.PRIMECONTRACTOR_FLG:
+                    case (int)TableColumn.PrimecontractorFlg:
                         strcmd += string.Format(" PrimeContractorFlg = {0}", ((int)value).ToString());
                         break;
-                    case (int)TableColumn.SALESCOST_FLG:
+                    case (int)TableColumn.SalesCostFlg:
                         strcmd += string.Format(" SalesCostFlg = {0}", ((int)value).ToString());
                         break;
-                    case (int)TableColumn.CONSTRUCTIONSTATUS_FLG:
+                    case (int)TableColumn.ConstructionStatusFlg:
                         strcmd += string.Format(" ConstructionStatusFlg = {0}", ((int)value).ToString());
                         break;
-                    case (int)TableColumn.CONSTRUCTIONTYPE:
+                    case (int)TableColumn.ConstructionType:
                         strcmd += string.Format(" ConstructionType = {0}", ((int)value).ToString());
                         break;
-                    case (int)TableColumn.ESTIMATETYPE:
+                    case (int)TableColumn.EstimateType:
                         strcmd += string.Format(" EstimateType = {0}", ((int)value).ToString());
                         break;
-                    case (int)TableColumn.BILLINGSTARTDATE:
-                        strcmd += string.Format(" BillingStartDate = DATE_FORMAT('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                    case (int)TableColumn.BillingStartDate:
+                        strcmd += string.Format(" BillingStartDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)TableColumn.BILLINGDATE:
-                        strcmd += string.Format(" BillingDate = DATE_FORMAT('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                    case (int)TableColumn.BillingDate:
+                        strcmd += string.Format(" BillingDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)TableColumn.BILLINGSPLITFLG:
+                    case (int)TableColumn.BillingSplitFlg:
                         strcmd += string.Format(" BillingSplitFlg = {0}", ((int)value).ToString());
                         break;
-                    case (int)TableColumn.BILLINGSENDDATE:
-                        strcmd += string.Format(" BillingSendDate = DATE_FORMAT('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                    case (int)TableColumn.BillingSendDate:
+                        strcmd += string.Format(" BillingSendDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)TableColumn.LEDGERCOMPLATEDATE:
-                        strcmd += string.Format(" LedgerComplateDate = DATE_FORMAT('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                    case (int)TableColumn.LedgerComplateDate:
+                        strcmd += string.Format(" LedgerComplateDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
                 }
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += CreatePrimarykeyString(ConstructionCode);
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -770,7 +779,7 @@
             //Oracle インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
-            int iRet = 0;
+            int iRet = -1;
             try
             {
                 // SQL作成
@@ -783,17 +792,17 @@
                 foreach (object[] objwrk in arData)
                 {
                     if (objwrk[0].ToString().Equals("null"))
-                        iRet = 0;
+                        iRet = -1;
                     else
                         iRet = int.Parse(objwrk[0].ToString());
                 }
-
+                return iRet;
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return -1;
             }
-            return iRet;
         }
         #endregion
 
@@ -842,8 +851,8 @@
                 // SQL実行
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
 
-                //strcmd = "UPDATE ConstructionBaseInfo SET EntryDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                //strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                //strcmd = "UPDATE ConstructionBaseInfo SET EntryDate = TO_DATE(TO_CHAR(sysdate,'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                //strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 //strcmd += CreatePrimarykeyString(FromCode);
 
                 //// SQL実行
@@ -926,7 +935,6 @@
         /// <returns></returns>
         public int CreateNewCounstructionCode(int PeriodValue)
         {
-            IOConstructionBaseInfo cbiDB = new IOConstructionBaseInfo();                // 工事基本情報
             try
             {
                 int iRetCode = 0;
@@ -944,7 +952,7 @@
                 }
                 strWhere = string.Format(" WHERE {0} <= CONSTRUCTIONCODE AND CONSTRUCTIONCODE < {1}", (MinCode * 1000000), (MaxCode * 1000000));
 
-                int icnt = cbiDB.SelectMaxConstructionCodeCount(strWhere);
+                int icnt = SelectMaxConstructionCodeCount(strWhere);
                 if (icnt != 0)
                 {   // ----- データがある時
                     // 年度の連番を取得する
@@ -967,10 +975,6 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
                 return 0;
             }
-            finally
-            {
-                cbiDB.close(); cbiDB = null;
-            }
         }
         #endregion
 
